<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/tt/EnterpriseStudio/onlinemanual/questions" xml:lang="en" TopicType="Overview">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Questions</Title>
		<Keyword ContextSensitive="No"><Level1>
                                    Infor ERP LN Development Tools
                                 </Level1>
			<Level2>question</Level2>
		</Keyword>
	</Header>
	<GeneralSection><Paragraph class="Default">Questions are language independent software components that are used to ask situation-dependent questions to which the user must respond. At runtime, the questions are displayed in the language that is specified for the current user.</Paragraph>
		<Figure space-and-orientation="indented-estimated"><HTML:IMG height="281" width="569" SRC="../images/nt_screen_questions1.gif" path="/enterpriseserver/tools/tt/enterprisestudio/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_questions1.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tt/enterprisestudio/images/nt_screen_questions1.gif" ID="IDA3F0AC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/><FigCaption>Sample question</FigCaption>
		</Figure>
		<List><ListIntro>For each question, you can specify:</ListIntro>
			<ListItem>The question code. This is the unique identifier of the question across all languages.</ListItem>
			<ListItem>The question type, e.g. "Warning".</ListItem>
			<ListItem>The question. This is the question text as it is shown when activated. The question text can contain codes that are substituted when the question is displayed. For details on substitution symbols, refer to the description of the sprintf$() function in the <DocRef>ERP LN 6.1 Programmer's Guide</DocRef>.</ListItem>
			<ListItem>The domain belonging to the question, and the default answer. The domain determines the possible answers to the question. The domain must have the Enumerated data type.</ListItem>
		</List>
		<Paragraph class="Default">See the following table for a sample question:</Paragraph>
		<TABLE border="1" borderstyle="default" space-and-orientation="indented-estimated"><THEAD><TR><TD rowspan="1" colspan="1">Question code</TD>
					<TD rowspan="1" colspan="1">Question Type</TD>
					<TD rowspan="1" colspan="1">Domain</TD>
					<TD rowspan="1" colspan="1">Language</TD>
					<TD rowspan="1" colspan="1">Question</TD>
				</TR>
			</THEAD>
			<TBODY><TR><TD rowspan="2" colspan="1">ttaad31022</TD>
					<TD rowspan="2" colspan="1">Warning</TD>
					<TD rowspan="2" colspan="1">ttyeno</TD>
					<TD rowspan="1" colspan="1">1 (Dutch)</TD>
					<TD rowspan="1" colspan="1">Device geblokkeerd, opnieuw proberen?</TD>
				</TR>
				<TR><TD rowspan="1" colspan="1">2 (English)</TD>
					<TD rowspan="1" colspan="1">Device is locked, try again?</TD>
				</TR>
			</TBODY>
		</TABLE>
	</GeneralSection>
	<GeneralSection><SectionTitle>To create questions</SectionTitle>
		<Paragraph class="Default">You can create questions in the <GUIRef href="" role="manual">Questions (ttadv4561m000)</GUIRef> session.</Paragraph>
		<Paragraph class="Default">You can use questions within program scripts and libraries using the ask.enum() function.</Paragraph>
		<List><ListIntro>For more information, refer to:</ListIntro>
			<ListItem>the Infor Web Help
                                 </ListItem>
			<ListItem>the description of the ask.enum() function in the <DocRef>ERP LN 6.1 Programmer's Guide</DocRef>
			</ListItem>
		</List>
	</GeneralSection>
	<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
		<RelTopic><Link href="/baanerp/tt/EnterpriseStudio/onlinemanual/to_translate_software_components" role="manual">To translate software components</Link>
		</RelTopic>
	</RelatedTopics>
</ManualTopic>
